<div class="peer-grid">
  {#each peers as peer (peer.id)}
  <PeerPlayerGrid id={peer.id} {channelId} />
  {/each}

  <PeerPlayerGrid id={$userId} {channelId} />
</div>

<style>
  .peer-grid {
    max-height: 100vh;
    overflow-y: auto;
  }
</style>

<script>
  import {clients} from "../js/MediaClient";
  
  export default {
    methods: {
      peersChange() {
        const channelId = this.get().channelId;
        const client = clients.get(channelId);
        if (!client) return this.set({peers: []});
        const peers = client.getParticipants();
        console.log("Peers", peers);
        this.set({peers});
      }
    },
    onstate({current, changed}) {
      if (changed.channelId) {
        const client = clients.get(current.channelId);
        if (!client) return this.set({peers: []});
        client.subscribe(null, this, this.peersChange);
      }
    },
    components: {
      PeerPlayerGrid: "./PeerPlayerGrid.svelte"
    }
  };
</script>
